Module | Sequel::Plugins::Serialization::InstanceMethods
In: | lib/sequel/plugins/serialization.rb

### Methods

before_save initialize_set set_values

### Attributes

deserialized_values | [R] | Hash of deserialized values, used as a cache.

### Public Instance methods

before_save()

Serialize deserialized values before saving

[Source]

         # File lib/sequel/plugins/serialization.rb, line 169
    169:         def before_save
    170:           serialize_deserialized_values
    171:           super
    172:         end

initialize_set(values)

Set @deserialized_values to the empty hash

[Source]

         # File lib/sequel/plugins/serialization.rb, line 163
    163:         def initialize_set(values)
    164:           @deserialized_values = {}
    165:           super
    166:         end

set_values(*)

Initialization the deserialized values for objects retrieved from the database.

[Source]

         # File lib/sequel/plugins/serialization.rb, line 175
    175:         def set_values(*)
    176:           @deserialized_values ||= {}
    177:           super
    178:         end

[Validate]